## class osgParticle::SegmentPlacer

> A segment-shaped particle placer.

## Inheritance:

### Public Methods

META_Object(osgParticle, SegmentPlacer)
inline SegmentPlacer()
inline SegmentPlacer(const SegmentPlacer &copy, const osg::CopyOp &copyop)
inline const osg::Vec3& getVertexA() const
  get vertex A
inline const osg::Vec3& getVertexB() const
  get vertex B
inline void setSegment(const osg::Vec3 &A, const osg::Vec3 &B)
  Set both vertices
inline void place(Particle* P) const
  Place a particle.
inline void setVertexA(const osg::Vec3 &v)
  Set vertex A of the segment as a vector
inline void setVertexA(float x, float y, float z)
  Set vertex A of the segment as three floats
inline void setVertexB(const osg::Vec3 &v)
  Set vertex B of the segment as a vector
inline void setVertexB(float x, float y, float z)
  Set vertex B of the segment as three floats

### Protected Methods

virtual ~SegmentPlacer()
SegmentPlacer& operator=(const SegmentPlacer &)

### Inherited from Placer:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const

## Documentation

> A segment-shaped particle placer. To use this placer you have to define a segment, by setting its two vertices (A and B); when an emitter requests a `SegmentPlacer` to place a particle, the position is chosen randomly within that segment.

`META_Object(osgParticle, SegmentPlacer)`

`virtual ~SegmentPlacer()`

`SegmentPlacer& operator=(const SegmentPlacer &)`

`inline SegmentPlacer()`

`inline SegmentPlacer(const SegmentPlacer &copy, const osg::CopyOp &copyop)`

`inline const osg::Vec3& getVertexA() const`
  get vertex A

`inline const osg::Vec3& getVertexB() const`
  get vertex B

`inline void setSegment(const osg::Vec3 &A, const osg::Vec3 &B)`
  Set both vertices

`inline void place(Particle* P) const`
  Place a particle. This method is called by `ModularEmitter`, do not call it manually.

`inline void setVertexA(const osg::Vec3 &v)`
  Set vertex A of the segment as a vector

`inline void setVertexA(float x, float y, float z)`
  Set vertex A of the segment as three floats

`inline void setVertexB(const osg::Vec3 &v)`
  Set vertex B of the segment as a vector

`inline void setVertexB(float x, float y, float z)`
  Set vertex B of the segment as three floats

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.